using Godot;

namespace Cirno.Scripts.Actors;

public partial class Turret : Enemy
{
    private AnimatedSprite2D _sprite;
    
    
    public override void _Ready()
    {
        base._Ready();
        
        _sprite = GetNode<AnimatedSprite2D>("AnimatedSprite2D");

        _sprite.Play("default");
        _sprite.SpeedScale = 0;
    }
}